# Honeybee-REVIVE:
### A Phius-REVIVE plugin for Honeybee and Ladybug-Tools

Honeybee-REVIVE is a free plugin for [Ladybug Tools](https://www.ladybug.tools/) which enables users to add detailed [Phius-REVIVE](https://www.phius.org/phius-revive-2024) style attributes to their models alongside the normal Honeybee inputs. 

This plugin is designed as a plugin for Honeybee v1.8. It can also be utilized by the Ladybug toolkit for building up models within [Rhino 3D v8+](https://www.rhino3d.com/) and Grasshopper using the [honeybee_grasshopper_revive](https://github.com/PH-Tools/honeybee_grasshopper_REVIVE) tools. This extension relies on the [PH-ADORB](https://github.com/PH-Tools/PH_ADORB) calculation library to execute the actual carbon-cost values.


## Note: 
*PH-Tools and the Honeybee-REVIVE plugin is in no way affiliated with Phius, and the library here is neither reviewed, nor approved by Phius for use in complying with the REVIVE program.*

## Packages:
- **honeybee_revive:** Extend the basic Honeybee extension package with new Phius-REVIVE specific model elements.

- **honeybee_energy_revive:** Extend the Honeybee-Energy package with new Phius-REVIVE style attributes for elements such as windows, hvac and construction assemblies.

- **honeybee_revive_standards:** Helpful new standards for programs and assemblies which are especially relevant to Passive House practitioners.


## More Information:
For more information on the use of these tools, check out the the Passive House Tools website:
[https://www.PassiveHouseTools.com](https://www.PassiveHouseTools.com)


## Contact:
For questions about Honeybee-REVIVE, feel free to reach out at: PH_Tools@bldgtyp.com

You can also post questions or comment to the Ladybug-Tools use forum at: [https://discourse.ladybug.tools/](https://discourse.ladybug.tools/)

![Tests](https://github.com/PH-Tools/honeybee_revive/actions/workflows/ci.yaml/badge.svg)